#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CensPop2011_5%_Microdati_2011_alloggi_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_CensPop2011_5%_A2011_alloggi<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_CensPop2011_5%_A2011_alloggi, "label") <- c(
"Identificativo univoco alloggio",
"Titolo di godimento dell'abitazione",
"Proprietario dell'abitazione",
"Specie di alloggio",
"Numero di stanze",
"Stanze ad uso professionale",
"Cucina con caratteristica di stanza",
"L'abitazione dispone di un cucinino",
"L'abitazione dispone di un angolo cottura",
"Non dispone di cucina, cucinino, angolo cottura",
"Numero piani dell'abitazione",
"Superficie in mq dell'abitazione",
"L'abitazione dispone di acqua potabile da acquedotto",
"L'abitazione dispone di acqua potabile da pozzo",
"L'abitazione dispone di acqua potabile da altra fonte di approvvigionamento",
"L'abitazione dispone di acqua non potabile",
"Non dispone di acqua al suo interno",
"Numero di impianti doccia e vasche da  bagno disponibili",
"Numero di gabinetti disponibili nell'abitazione",
"L'abitazione dispone di acqua calda in bagno e/o in cucina",
"Lacqua calda  prodotta dallo stesso impianto che  utilizzato per il riscaldamento dellabitazione",
"Metano e gas naturale sono combustibili usati per riscaldare l'acqua",
"Energia elettrica e' il combustibile usato per riscaldare l'acqua",
"Energia solare e' il combustibile usato per riscaldare l'acqua",
"Altro combustibile usato per riscaldare l'acqua",
"L'abitazione dispone di impianto centralizzato ad uso di pi abitazioni",
"L'abitazione dispone di impianto fisso autonomo ad uso esclusivo dellabitazione",
"L'abitazione dispone di apparecchi singoli fissi che consentono il riscaldamento di tutta o della maggior parte dellabitazione",
"L'abitazione dispone di apparecchi singoli fissi che consentono il riscaldamento solo di alcune parti dellabitazione",
"Metano e gas naturale sono combustibili usati per riscaldare l'abitazione",
"Il gasolio e' un combustibile usato per riscaldare l'abitazione",
"Il GPL  e' un combustibile usato per riscaldare l'abitazione",
"Combustibile Solido",
"L'energia elettrica e' un combustibile usato per riscaldare l'abitazione",
"L'olio e' un combustibile usato per riscaldare l'abitazione",
"E' usato altro combustibile o energia  per riscaldare l'abitazione",
"Impianto ad energia rinnovabile",
"Impianto fisso aria condizionata",
"Posti auto privati",
"Automobili",
"Labitazione dispone di almeno una linea telefonica fissa attiva",
"telefono cellulare",
"componenti famiglia con telefono cellulare",
"Connessione Internet",
"Linea telefonica tradizionale o ISDN",
"ADSL",
"Altra connessione a banda larga",
"Internet Key, Palmare, Cellulare")

TITGOD_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$TITGOD, 
levels=c(1, 
2, 
3), 
labels=c("Propriet (totale o parziale), usufrutto o riscatto", 
"Affitto", 
"Altro Titolo")) 


PROPR_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$PROPR, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("persona fisica", 
"impresa o societ", 
"cooperativa edilizia di abitazione", 
"stato, regione, provincia", 
"comune", 
"ente previdenziale", 
"istituto autonomo case popolari", 
"altro")) 


TIPALL_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$TIPALL, 
levels=c(1, 
2, 
4), 
labels=c("Abitazione", 
"Altro tipo di alloggio", 
"Struttura residenziale collettiva")) 


STANPROFRIC_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$STANPROFRIC, 
levels=c(0, 
1, 
2, 
3, 
4), 
labels=c("0", 
"1", 
"2", 
"3", 
"+ di 3")) 


CUCSTARIC_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$CUCSTARIC, 
levels=c(0, 
1, 
2), 
labels=c("0", 
"1", 
"2 o pi")) 


CUCINI_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$CUCINI, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ANGCOT_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ANGCOT, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


NOCUCINA_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$NOCUCINA, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


NPIANI_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$NPIANI, 
levels=c(1, 
2, 
3, 
4), 
labels=c("1", 
"2", 
"3", 
"pi di 3")) 


SUPERF_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$SUPERF, 
levels=c(10, 
20, 
30, 
40, 
50, 
60, 
70, 
80, 
90, 
100, 
110, 
120, 
130, 
140, 
150), 
labels=c("0-14", 
"15-24", 
"25-34", 
"35-44", 
"45-54", 
"55-64", 
"65-74", 
"75-84", 
"85-94", 
"95-104", 
"105-114", 
"115-124", 
"125-134", 
"135-144", 
"145 +")) 


ACQDOT_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ACQDOT, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


POZZO_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$POZZO, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ALTFON_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ALTFON, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


NONPOT_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$NONPOT, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


NOACQ_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$NOACQ, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


VASDOCRIC_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$VASDOCRIC, 
levels=c(0, 
1, 
2, 
3, 
4), 
labels=c("0", 
"1", 
"2", 
"3", 
"pi di 3")) 


GABINRIC_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$GABINRIC, 
levels=c(0, 
1, 
2, 
3, 
4), 
labels=c("0", 
"1", 
"2", 
"3", 
"pi di 3")) 


ACQCAL_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ACQCAL, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


RISACQ_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$RISACQ, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


AMETAN_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$AMETAN, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


AELETT_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$AELETT, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ASOLAR_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ASOLAR, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


AALTRO_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$AALTRO, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


IMPCEN_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$IMPCEN, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


FISAUT_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$FISAUT, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


SINFIS_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$SINFIS, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


SIFISP_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$SIFISP, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


RMETAN_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$RMETAN, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


RGASOL_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$RGASOL, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


RGPL_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$RGPL, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


COMBSOL_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$COMBSOL, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


RELETT_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$RELETT, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ROLIO_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ROLIO, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ALTCOM_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ALTCOM, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ENERINN_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ENERINN, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ARIACON_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ARIACON, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


AUTOMOB_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$AUTOMOB, 
levels=c(1, 
2, 
3), 
labels=c("1", 
"2 o pi", 
"Nessuna")) 


TELFISSO_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$TELFISSO, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


CELLULAR_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$CELLULAR, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


CONN_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$CONN, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


CONTRAD_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$CONTRAD, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ADSL_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ADSL, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ALTRACON_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$ALTRACON, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


INTKEY_Fact <- factor(DF_CensPop2011_5%_A2011_alloggi$INTKEY, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 

save.image (file="DF_CensPop2011_5%_A2011_alloggi.RData")
