#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CensPop2011_5%_Microdati_2011_individui_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_CensPop2011_5%_A2011_individ<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_CensPop2011_5%_A2011_individ, "label") <- c(
"Identificativo famiglia/convivenza",
"Identificativo dell'individuo all'interno della famiglia",
"Identificativo dell'individuo in convivenza",
"Tipo di convivenza",
"Motivo principale della permanenza in convivenza",
"Identificativo dell'alloggio",
"Regione di residenza (19 modalit)",
"Ripartizione geografica di residenza (5 modalit)",
"Numero componenti famiglia",
"Tipologia familiare",
"Relazione di parentela o di convivenza",
"Sesso",
"Et in classi",
"Luogo di nascita",
"Codice dello stato estero di nascita",
"Cittadinanza",
"Codice dello stato estero di cittadinanza",
"Cittadinanza italiana dalla nascita",
"Cittadinanza Italiana acquisita x matrimonio o altro",
"luogo di nascita della madre",
"Stato di nascita della madre",
"luogo di nascita del padre",
"Stato di nascita del padre",
"E' mai stato residente all'estero",
"Mese di trasferimento",
"Anno di trasferimento",
"Stato estero di ultima residenza",
"Stato civile",
"Stato civile prima dell'ultimo matrimonio",
"Luogo di presenza alla data del censimento",
"Dimora abituale al 9 ottobre 2010",
"Codice della provincia di dimora abituale al 9 ottobre 2010",
"Codice dello stato estero di dimora abituale al 9 ottobre 2010",
"Tipo di frequenza scolastica del/la bambino/a",
"Titolo di studio pi elevato",
"Possesso di specializzazione post laurea e/o dottorato di ricerca",
"Conseguimento all'estero del titolo di studio pi elevato",
"Iscrizione alla scuola elementare, alla scuola media inferiore, alla scuola secondaria superiore o all'universit",
"Frequenza di un corso di formazione/aggiornamento professionale",
"Tipo di corso frequentato: un corso di formazione professionale, regionale, provinciale ecc di 6 mesi.",
"Tipo di corso frequentato: un corso di formazione professionale, regionale, provinciale ecc di 24 mesi.",
"Condizione professionale o non professionale nella settimana precedente il censimento",
"Ore fatte",
"Nella settimana dal 2 all'8 ottobre aveva comunque un lavoro dal quale era assente",
"Nelle ultime 4 settimane, la persona ha cercato attivamente un lavoro alle dipendenze o ha predisposto i mezzi per avviare unattivit in proprio",
"Disponibilit ad iniziare un lavoro entro 2 settimane",
"La persona ha svolto un'attivit lavorativa retribuita, o come coadiuvante familiare, nel corso della sua vita",
"Condizione degli inattivi nella settimana dal 2 all'8 ottobre",
"Numero di ore lavorate nella settimana dal 14 al 20 ottobre 2001",
"Tipo di attivit lavorativa",
"Posizione professionale",
"Ha dipendenti retribuiti",
"Rapporto di lavoro a tempo indeterminato/determinato",
"Tipo di attivit lavorativa",
"Settore di attivit economica",
"La persona si reca giornalmente al luogo abituale di studio o di lavoro",
"Da quale alloggio la persona si reca al luogo abituale di studio o di lavoro",
"La persona rientra giornalmente dal luogo abituale di studio o di lavoro",
"Luogo abituale di studio o di lavoro",
"Codice della regione di studio o di lavoro",
"Codice dello stato estero di studio o di lavoro",
"Orario di uscita della persona per recarsi al luogo abituale di studio o di lavoro: ore",
"Orario di uscita della persona per recarsi al luogo abituale di studio o di lavoro: minuti",
"Tempo impiegato per recarsi al luogo abituale di studio o di lavoro",
"Mezzo di trasporto utilizzato per recarsi al luogo abituale di studio o di lavoro",
"Dimora abituale al 9 ottobre 2006",
"Codice della provincia di dimora abituale al 9 ottobre 2006",
"Codice dello stato estero di dimora abituale al 9 ottobre 2006",
"Tipo modello")

TIPCONV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$TIPCONV, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
14), 
labels=c("Istituti di istruzione", 
"Presidi residenziali per minori", 
"Istituti assistenziali per disabili fisici e psichici", 
"Ospizi, case di riposo per adulti inabili ed anziani", 
"Strutture di accoglienza per immigrati", 
"Altri istituti assistenziali", 
"Pubblici", 
"Privati", 
"Istituti penitenziari", 
"Convivenze ecclesiastiche", 
"Convivenze militari e corpi accasermati", 
"Alberghi, pensioni, locande e simili", 
"Altre convivenze")) 


MOPERC_Fact <- factor(DF_CensPop2011_5%_A2011_individ$MOPERC, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14), 
labels=c("Responsabile o dirigente della convivenza", 
"Addetto all'assistenza sanitaria", 
"Addetto all'assistenza sociale o psicologica", 
"Addetto ai servizi amministrativi o ordinari", 
"Addetto ai servizi di manutenzione, di pulizia e altri servizi", 
"Religioso", 
"Militare di carriera, agente e simili", 
"Detenuto con condanna definitiva", 
"Assistito in un centro di accoglienza per immigrati", 
"Ricoverato lungodegente in un istituto di cura", 
"Assistito in istituto per anziani", 
"Assistito in istituto per minori", 
"Assistito in altro centro di accoglienza", 
"Altro")) 


REGIONE_Fact <- factor(DF_CensPop2011_5%_A2011_individ$REGIONE, 
levels=c("1", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte-Valle d'Aosta", 
"Lombardia", 
"Trentino-Alto Adige", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


RIP_GEO_Fact <- factor(DF_CensPop2011_5%_A2011_individ$RIP_GEO, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


NROCOMPO_Fact <- factor(DF_CensPop2011_5%_A2011_individ$NROCOMPO, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6")) 


TIPOLOGIA_FAM_Fact <- factor(DF_CensPop2011_5%_A2011_individ$TIPOLOGIA_FAM, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13), 
labels=c("Famiglie senza nuclei", 
"Non in coabitazione", 
"In coabitazione", 
"Famiglie con un solo nucleo", 
"Coppie senza figli", 
"Coppie con figli", 
"Madre con figli", 
"Padre con figli", 
"Coppie senza figli", 
"Coppie con figli", 
"Madre con figli", 
"Padre con figli", 
"Famiglie con due o pi nuclei")) 


REL_PAR_Fact <- factor(DF_CensPop2011_5%_A2011_individ$REL_PAR, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17), 
labels=c("Intestatario del Foglio di famiglia", 
"Coniuge dellintestatario", 
"Convivente in coppia con lintestatario", 
"Figlio/a dellintestatario e del coniuge/convivente", 
"Figlio/a del solo intestatario", 
"Figlio/a del solo coniuge/convivente", 
"Genitore (o coniuge/convivente del genitore) dellintestatario", 
"Suocero/a dellintestatario", 
"Fratello/sorella dellintestatario", 
"Fratello/sorella del coniuge/convivente", 
"Coniuge/convivente del fratello/sorella dellintestatario o del fratello/sorella del coniuge/convivente", 
"Genero/nuora (coniuge/convivente del figlio/a) dellintestatario e/o del coniuge/convivente", 
"Nipote (figlio/a di un figlio/a) dellintestatario e/o del coniuge/convivente", 
"Nipote (figlio/a di un fratello/sorella) dellintestatario e/o del coniuge/convivente", 
"Nonno/a dellintestatario o del coniuge/convivente", 
"Altro parente dellintestatario e/o del coniuge/convivente", 
"Altra persona coabitante senza legami di coppia, parentela o affinit")) 


SESSO_Fact <- factor(DF_CensPop2011_5%_A2011_individ$SESSO, 
levels=c(1, 
2), 
labels=c("Maschio", 
"Femmina")) 


ETA_CLASSI_Fact <- factor(DF_CensPop2011_5%_A2011_individ$ETA_CLASSI, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
20, 
21, 
22, 
23, 
24, 
25, 
26, 
27, 
28, 
29, 
30, 
31, 
32, 
33, 
34, 
35, 
36, 
37, 
38, 
39, 
40, 
41, 
42, 
43, 
44, 
45, 
46, 
47, 
48, 
49, 
50, 
51, 
52, 
53, 
54, 
55, 
56, 
57, 
58, 
59, 
60, 
61, 
62, 
63, 
64, 
65), 
labels=c("0-2", 
"3-5", 
"6-10", 
"11-14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"34", 
"35", 
"36", 
"37", 
"38", 
"39", 
"40", 
"41", 
"42", 
"43", 
"44", 
"45", 
"46", 
"47", 
"48", 
"49", 
"50", 
"51", 
"52", 
"53", 
"54", 
"55", 
"56", 
"57", 
"58", 
"59", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"67", 
"68", 
"69", 
"70", 
"71", 
"72", 
"73", 
"74", 
"75+")) 


LUOGO_NAS_Fact <- factor(DF_CensPop2011_5%_A2011_individ$LUOGO_NAS, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Nello stesso Comune di residenza", 
"In altro Comune della stessa Provincia", 
"In altra Provincia della stessa Regione", 
"In altre Regioni", 
"Estero")) 


STATO_NAS_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STATO_NAS, 
levels=c(11, 
12, 
13, 
200, 
300, 
400, 
500), 
labels=c("Ue_27", 
"Europa centro-orientale", 
"Altri Paesi europei", 
"Africa", 
"Asia", 
"America", 
"Oceania")) 


CITTADINANZA_Fact <- factor(DF_CensPop2011_5%_A2011_individ$CITTADINANZA, 
levels=c(1, 
2, 
3), 
labels=c("Italiana", 
"Straniera", 
"Apolide")) 


STATO_CITT_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STATO_CITT, 
levels=c(11, 
12, 
13, 
200, 
300, 
400, 
500, 
600), 
labels=c("Ue_27", 
"Europa centro-orientale", 
"Altri Paesi europei", 
"Africa", 
"Asia", 
"America", 
"Oceania", 
"Apolide")) 


CITT_NAS_ACQ_Fact <- factor(DF_CensPop2011_5%_A2011_individ$CITT_NAS_ACQ, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


CITT_ITA_ACQ_Fact <- factor(DF_CensPop2011_5%_A2011_individ$CITT_ITA_ACQ, 
levels=c(1, 
2), 
labels=c("Matrimonio", 
"Altro")) 


LUONAS_MADRE_Fact <- factor(DF_CensPop2011_5%_A2011_individ$LUONAS_MADRE, 
levels=c(1, 
2), 
labels=c("Italia", 
"Estero")) 


STATO_NAS_MADRE_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STATO_NAS_MADRE, 
levels=c(11, 
12, 
13, 
200, 
300, 
400, 
500), 
labels=c("Ue_27", 
"Europa centro-orientale", 
"Altri Paesi europei", 
"Africa", 
"Asia", 
"America", 
"Oceania")) 


LUONAS_PADRE_Fact <- factor(DF_CensPop2011_5%_A2011_individ$LUONAS_PADRE, 
levels=c(1, 
2), 
labels=c("Italia", 
"Estero")) 


STATO_NAS_PADRE_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STATO_NAS_PADRE, 
levels=c(11, 
12, 
13, 
200, 
300, 
400, 
500), 
labels=c("Ue_27", 
"Europa centro-orientale", 
"Altri Paesi europei", 
"Africa", 
"Asia", 
"America", 
"Oceania")) 


RESIDENTE_ESTERO_Fact <- factor(DF_CensPop2011_5%_A2011_individ$RESIDENTE_ESTERO, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


MESE_TRASFERIMENTO_Fact <- factor(DF_CensPop2011_5%_A2011_individ$MESE_TRASFERIMENTO, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12), 
labels=c("Gennaio", 
"Febbraio", 
"Marzo", 
"Aprile", 
"Maggio", 
"Giugno", 
"Luglio", 
"Agosto", 
"Settembre", 
"Ottobre", 
"Novembre", 
"Dicembre")) 


STATO_EST_ULT_RESID_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STATO_EST_ULT_RESID, 
levels=c(11, 
12, 
13, 
200, 
300, 
400, 
500), 
labels=c("Ue_27", 
"Europa centro-orientale", 
"Altri Paesi europei", 
"Africa", 
"Asia", 
"America", 
"Oceania")) 


STATO_CIV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STATO_CIV, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Celibe/nubile", 
"Coniugato/a", 
"Separato/a di fatto", 
"Separato/a legalmente", 
"Divorziato/a", 
"Vedovo/a")) 


STATO_CIV_PREC_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STATO_CIV_PREC, 
levels=c(1, 
2, 
3), 
labels=c("Celibe/nubile", 
"Divorziato/a", 
"Vedovo/a")) 


LUOGO_PRES_CENS_Fact <- factor(DF_CensPop2011_5%_A2011_individ$LUOGO_PRES_CENS, 
levels=c(1, 
2, 
3, 
4), 
labels=c("In questo alloggio", 
"In questo comune, ma in un altro alloggio o convivenza", 
"In un altro comune italiano", 
"All'estero")) 


DIM_ANNO_PREC_Fact <- factor(DF_CensPop2011_5%_A2011_individ$DIM_ANNO_PREC, 
levels=c(1, 
2, 
3, 
4), 
labels=c("In questo alloggio", 
"In questo comune, ma in un altro alloggio o convivenza", 
"In un altro comune italiano", 
"All'estero")) 


PROV_DIM_ANNO_PREC_Fact <- factor(DF_CensPop2011_5%_A2011_individ$PROV_DIM_ANNO_PREC, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Nello stesso Comune di residenza", 
"In altro Comune della stessa Provincia", 
"In altra Provincia della stessa Regione", 
"In altre Regioni", 
"Estero")) 


STATO_DIM_ANNO_PREC_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STATO_DIM_ANNO_PREC, 
levels=c(11, 
12, 
13, 
200, 
300, 
400, 
500), 
labels=c("Ue_27", 
"Europa centro-orientale", 
"Altri Paesi europei", 
"Africa", 
"Asia", 
"America", 
"Oceania")) 


FREQ_SCUOLA_FIGLI_Fact <- factor(DF_CensPop2011_5%_A2011_individ$FREQ_SCUOLA_FIGLI, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Asilo nido, microasilo, baby-parking, etc.(3-36 mesi)", 
"scuola dell'infanzia", 
"Prima elementare", 
"n asilo, n scuola infanzia, n prima elementare")) 


TIT_STUD_Fact <- factor(DF_CensPop2011_5%_A2011_individ$TIT_STUD, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Analfabeti o Licenza Elementare", 
"Licenza Media", 
"Diploma scolastico di qualifica (corso scolastico di 2-3 anni)", 
"Diploma di maturit (corso scolastico di 4-5 anni)", 
"Diploma terziario di tipo non universitario", 
"Diploma universitario", 
"Diploma di Laurea")) 


POST_LAUREA_Fact <- factor(DF_CensPop2011_5%_A2011_individ$POST_LAUREA, 
levels=c(1, 
2, 
3, 
4), 
labels=c("master di I livello", 
"master di II livello", 
"scuola di specializzazione", 
"dottorato di ricerca")) 


TIT_STUD_EST_Fact <- factor(DF_CensPop2011_5%_A2011_individ$TIT_STUD_EST, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ISCR_SCUOLA_Fact <- factor(DF_CensPop2011_5%_A2011_individ$ISCR_SCUOLA, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


FREQ_CORSO_FORM_Fact <- factor(DF_CensPop2011_5%_A2011_individ$FREQ_CORSO_FORM, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


CORSO_STAT6_Fact <- factor(DF_CensPop2011_5%_A2011_individ$CORSO_STAT6, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


CORSO_STAT24_Fact <- factor(DF_CensPop2011_5%_A2011_individ$CORSO_STAT24, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


COND_PROF_Fact <- factor(DF_CensPop2011_5%_A2011_individ$COND_PROF, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Occupato/a", 
"In cerca di prima occupazione", 
"Disoccupata (in cerca di nuova occupazione)", 
"Percettore/rice di una o pi pensioni per effetto di attivit lavorativa precedente o di redditi da capitale", 
"Studente/ssa", 
"Casalinga/o", 
"In altra condizione")) 


FATTE_ORE_Fact <- factor(DF_CensPop2011_5%_A2011_individ$FATTE_ORE, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


ASSENZA_LAVORO_Fact <- factor(DF_CensPop2011_5%_A2011_individ$ASSENZA_LAVORO, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


CERCA_LAV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$CERCA_LAV, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


DISPO_LAV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$DISPO_LAV, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


SVOLTO_LAV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$SVOLTO_LAV, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


CONDIZ_INATTIVI_Fact <- factor(DF_CensPop2011_5%_A2011_individ$CONDIZ_INATTIVI, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Percettore/rice di una o pi pensioni per effetto di attivit lavorativa precedente o di redditi da capitale", 
"Studente/ssa", 
"Casalinga/o", 
"In altra condizione")) 


TEMPO_PIENO_Fact <- factor(DF_CensPop2011_5%_A2011_individ$TEMPO_PIENO, 
levels=c(1, 
2), 
labels=c("Tempo pieno", 
"Tempo parziale")) 


POS_PROF_Fact <- factor(DF_CensPop2011_5%_A2011_individ$POS_PROF, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Socio di cooperativa", 
"Coadiuvante familiare", 
"Dipendenti", 
"Parasubordinati")) 


HA_DIP_Fact <- factor(DF_CensPop2011_5%_A2011_individ$HA_DIP, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


LAV_A_TEMPO_Fact <- factor(DF_CensPop2011_5%_A2011_individ$LAV_A_TEMPO, 
levels=c(1, 
2), 
labels=c("A tempo indeterminato", 
"A tempo determinato")) 


TIPO_LAV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$TIPO_LAV, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10), 
labels=c("Lavoro operaio o di servizio non qualificato", 
"Addetto/a a impianti fissi di produzione, a macchinari, a linee di montaggio o conduzione di  veicoli", 
"Attivit operaia qualificata", 
"Coltivazione di piante e/o allevamento di animali", 
"Attivit di vendita al pubblico o di servizio alle persone", 
"Lavoro esecutivo d'ufficio", 
"Attivit tecnica, amministrativa, sportiva o artistica a media qualificazione", 
"Attivit organizzativa, tecnica, intellettuale, scientifica o artistica ad elevata specializzazione", 
"Gestione di un'impresa o dirigenza di strutture organizzative complesse pubbliche o private", 
"Militare di qualsiasi grado nelle forze armate- Esercito, Marina, Aeronautica, Carabinieri")) 


SETT_ATECO_Fact <- factor(DF_CensPop2011_5%_A2011_individ$SETT_ATECO, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
20, 
21), 
labels=c("Agricoltura, silvicoltura, caccia e pesca", 
"Attivit estrattive da cave o miniere e servizi di supporto allestrazione", 
"Attivit manifatturiere e riparazione, manutenzione e installazione di macchine e apparecchiature", 
"Fornitura di energia elettrica, gas, vapore e aria condizionata", 
"Fornitura di acqua, gestione delle reti fognarie, attivit di gestione dei rifiuti e attivit di risanamento", 
"Costruzioni edili, opere pubbliche e installazione dei servizi nei fabbricati", 
"Commercio allingrosso e al dettaglio e riparazione di autoveicoli e motocicli", 
"Trasporti (di passeggeri o merci attraverso condotte, su strada, per via d'acqua o aereo) magazzinaggio, servizi postali e attivit di corrieri", 
"Attivit dei servizi di alloggio e di ristorazione", 
"Servizi di informazione e comunicazione", 
"Attivit finanziarie e assicurative", 
"Attivit immobiliari", 
"Attivit professionali, scientifiche e tecniche", 
"Noleggio, agenzie di viaggio, servizi di supporto alle imprese", 
"Pubblica amministrazione centrale e locale, difesa e assicurazione sociale obbligatoria", 
"Istruzione e formazione pubblica e privata", 
"Sanit e assistenza sociale residenziale e non residenziale", 
"Attivit artistiche, sportive, di intrattenimento e divertimento", 
"Altre attivit di servizi e riparazioni di beni per uso personale e per la casa", 
"Attivit di famiglie e convivenze come datori di lavoro per personale domestico", 
"Organizzazioni e organismi extraterritoriali")) 


STUD_LAV_OGNI_G_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STUD_LAV_OGNI_G, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Si, si reca al luogo di studio (compresi corsi di formazione professionale)", 
"Si, si reca al luogo di lavoro", 
"No, perch studia nel proprio alloggio", 
"No, perch lavora nel proprio alloggio", 
"No, perch non ha una sede fissa di lavoro (piazzisti, rappresentanti, ecc.)", 
"No, perch non studia o non lavora o non frequenta corsi di formazione professionale")) 


ALL_STUD_LAV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$ALL_STUD_LAV, 
levels=c(1, 
2), 
labels=c("Da questo alloggio", 
"Da un altro alloggio diverso da questo")) 


RIENTRA_Fact <- factor(DF_CensPop2011_5%_A2011_individ$RIENTRA, 
levels=c(1, 
2), 
labels=c("Si", 
"No")) 


LUOGO_STUD_LAV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$LUOGO_STUD_LAV, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Nello stesso Comune di residenza", 
"In altro Comune della stessa Provincia", 
"In altra Provincia della stessa Regione", 
"In altre Regioni", 
"Estero")) 


REG_STUD_LAV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$REG_STUD_LAV, 
levels=c("1", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte-Valle d'Aosta", 
"Lombardia", 
"Trentino-Alto Adige", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


STATO_STUD_LAV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STATO_STUD_LAV, 
levels=c(11, 
12, 
13, 
200, 
300, 
400, 
500), 
labels=c("Ue_27", 
"Europa centro-orientale", 
"Altri Paesi europei", 
"Africa", 
"Asia", 
"America", 
"Oceania")) 


MEZZO_TRAS_STUD_LAV_Fact <- factor(DF_CensPop2011_5%_A2011_individ$MEZZO_TRAS_STUD_LAV, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12), 
labels=c("Treno", 
"Tram", 
"Metropolitana", 
"Autobus urbano, filobus", 
"Corriera, autobus extra-urbano", 
"Autobus aziendale o scolastico", 
"Auto privata (come conducente)", 
"Auto privata (come passeggero)", 
"Motocicletta, ciclomotore, scooter", 
"Bicicletta", 
"Altro mezzo (battello, funivia, ecc.)", 
"A piedi")) 


DIM_5ANNO_PREC_Fact <- factor(DF_CensPop2011_5%_A2011_individ$DIM_5ANNO_PREC, 
levels=c(1, 
2, 
3, 
4), 
labels=c("In questo alloggio", 
"In questo comune, ma in altro alloggio o convivenza", 
"In altro comune", 
"Estero")) 


PROV_DIM_5ANNO_PREC_Fact <- factor(DF_CensPop2011_5%_A2011_individ$PROV_DIM_5ANNO_PREC, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Stesso comune di residenza", 
"In altro comune stessa provincia", 
"In altra provincia stessa regione", 
"in altra regione", 
"Estero")) 


STATO_DIM_5ANNO_PREC_Fact <- factor(DF_CensPop2011_5%_A2011_individ$STATO_DIM_5ANNO_PREC, 
levels=c(11, 
12, 
13, 
200, 
300, 
400, 
500), 
labels=c("Ue_27", 
"Europa centro-orientale", 
"Altri Paesi europei", 
"Africa", 
"Asia", 
"America", 
"Oceania")) 


IND_MODELLO_Fact <- factor(DF_CensPop2011_5%_A2011_individ$IND_MODELLO, 
levels=c("C", 
"L"), 
labels=c("Convivenze", 
"Long")) 

save.image (file="DF_CensPop2011_5%_A2011_individ.RData")
